#!/bin/bash
set -x

#command to initiate the service
java \
	-Dwrapper.pidfile=/run/wrapper.wavefront-externalmetrics.pid \
	-Dwrapper.service=true -Dwrapper.visible=false \
	-Dwavefront.appName=externalmetrics \
	-Dwavefront.home=/opt/wavefront -Xmx6g -Xms3g \
	-server -jar /opt/wavefront/wrapper/wrapper.jar \
	-c /opt/wavefront/repo/wrapper/externalmetrics.wrapper.conf
	--snsProxyHost ${SNS_PROXY_AGENT} \
	--snsTelemetryPort ${SNS_TELEMETRY_PORT} \
	--monToken ${MON_TOKEN} \
	${EXTRA_ARGS}

